<template>
    
    <template if:true={isBaseTextVisible}>
        <div class={messageStyle}>
            <lightning-formatted-rich-text value={strMessage}></lightning-formatted-rich-text>
        </div>
    </template>
    <template if:true={bru} >
        <c-button-redirect-url input-params={strMessage} onpostmessage={handlePostMessage}></c-button-redirect-url>
    </template>
    <template if:true={datepicker} >
        <c-date-picker input-params={strMessage} onpostmessage={handlePostMessage}></c-date-picker>
    </template>

</template>